=== debian/changelog ===
fcitx-unikey (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #671712)

 -- Aron Xu <aron@debian.org>  Tue, 15 May 2012 01:18:45 +0800
