## fcitx-unikey 0.2.2

=== po/CMakeLists.txt ===
set(PO_LANGS de zh_CN vi zh_TW ja)
foreach(lang ${PO_LANGS})
   fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-unikey fcitx-unikey.pot)
