=== debian/changelog ===
fcitx-unikey (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Mon, 05 Aug 2013 22:19:58 +0800

fcitx-unikey (0.1.1-1) experimental; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 30 Nov 2012 20:43:23 +0800
