## fcitx-unikey 0.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 project(fcitx-unikey)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
+
+option(ENABLE_QT "Enable Qt based macro editor" On)
 
 # uninstall target
 configure_file(
@@ -18,12 +20,20 @@
 set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
 set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
 
-find_package(Fcitx 4.2.3 REQUIRED)
+find_package(Fcitx 4.2.8 REQUIRED)
 find_package(Libiconv REQUIRED)
 find_package(Gettext REQUIRED)
 
+if (ENABLE_QT)
+find_package(Qt4 4.8)
+
+pkg_check_modules(FCITX_QT "fcitx-qt>=4.2.8")
+endif (ENABLE_QT)
+
 configure_file(config.h.in config.h)
 
+add_subdirectory(po)
+add_subdirectory(unikey)
 add_subdirectory(src)
 add_subdirectory(data)
-add_subdirectory(po)
+add_subdirectory(macro-editor)
