=== debian/changelog ===
fcitx-unikey (0.2.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 6. Closes: #811723.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Jul 2016 11:08:57 +0200

fcitx-unikey (0.2.4-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Sun, 06 Jul 2014 02:54:37 +0800
