=== debian/changelog ===
fcitx-unikey (0.2.7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:53 +0100

fcitx-unikey (0.2.7-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge previous NMU.
  * New upstream release.
    + Port to Qt5.
  * Apply "wrap-and-sort -abst".
  * Refresh packaging instructions.
    + Update maintainer to Debian Input Method Team.
      (Closes: #899970)
    + Use GitLab as homepage.
    + Use canonical Vcs URL.
    + Bump Standards-Version to 4.2.1
    + Bump debhelper compat to v11.
  * Enable full hardening.
  * Drop patches previously cherry-picked from upstream.
  * Point d/watch to download.fcitx-im.org.
  * Refresh d/copyright information.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Oct 2018 22:58:51 -0400
