=== debian/control ===
Source: fcitx-unikey
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11),
 fcitx-bin (>= 1:4.2.8),
 fcitx-libs-dev (>= 1:4.2.8),
 intltool,
 libfcitx-qt5-dev,
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
Standards-Version: 4.2.1
Homepage: https://gitlab.com/fcitx/fcitx-unikey
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-unikey.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-unikey

Package: fcitx-unikey
Architecture: any
Depends:
 fcitx-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.8),
Description: Fcitx wrapper for Unikey engine
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended functions much easier than ever before.
 .
 This package provides the wrapper for Unikey engine, which is an input
 method for Vietnamese.
