## fcitx-unikey 0.2.7%2Bgit20220410

=== unikey/CMakeLists.txt ===
--- 
+++ 
@@ -28,3 +28,4 @@
 
 add_library(unikey STATIC ${UNIKEY_SRCS})
 set_target_properties(unikey PROPERTIES COMPILE_FLAGS "-fPIC")
+target_link_libraries(unikey LibIntl::LibIntl)
