## fcitx-unikey 0.2.7+git20220410

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,13 +21,13 @@
 set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
 
 find_package(Fcitx 4.2.8 REQUIRED)
-find_package(Libiconv REQUIRED)
 find_package(Gettext REQUIRED)
+find_package(LibIntl REQUIRED)
 
 if (ENABLE_QT)
-find_package(Qt4 4.8)
+find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
+find_package(FcitxQt5WidgetsAddons 1.1 REQUIRED)
 
-pkg_check_modules(FCITX_QT "fcitx-qt>=4.2.8")
 endif (ENABLE_QT)
 
 configure_file(config.h.in config.h)
