=== debian/changelog ===
fcitx-unikey (0.2.7+git20220410-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112907)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:44:34 +0300

fcitx-unikey (0.2.7+git20220410-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
    + Update translation.
    + Fix upstream issue 24 (Different keyState values in
      Firefox vs Chromium).
  * Refresh packaging instructions:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.1.
    + Update homepage information to use github project.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 May 2022 15:02:35 -0400
