=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-unikey/ \
 fcitx-unikey-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
